https://bugs.gentoo.org/795117

Grabbed from NixOS (slyfox submitted this upstream):

Upstream commit c9cfad50a ("src/Makefile.in: Avoid a race condition
when performing a parallel build")
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -54,6 +54,12 @@ COMPILE_CMD = $(CC) -c $(ALL_CFLAGS) -DMOST_SYSTEM_INITFILE='"$(SYS_INITFILE)"'
 all: $(EXEC)
 $(EXEC): $(OBJDIR) $(CONFIG_H) slangversion $(OBJDIR)/$(EXEC)
 	@echo $(EXEC) created in $(OBJDIR)
+
+# C source files include autogenrated "config.h". Make sure
+# it's available before the compilation. Pessimistically assume
+# any source file can depend on "config.h".
+$(OBJS) $(OBJDIR)/chkslang.o: $(CONFIG_H)
+
 $(OBJDIR)/$(EXEC): $(OBJS)
 	cd $(OBJDIR); $(CC) $(OFILES) -o $(EXEC) $(LDFLAGS) $(EXECLIBS)
 #
